#!/usr/bin/python 

import time

class SSLData:
	def __init__(self):
		self.enc = "PEM"
		self.data = None
		self.type = None

class Session:
	def __init__(self, session):
		self.session = session
		self.files = []
		(self.user, self.auth, self.scheme, self.key, self.cert, self.proxy) = (
			None, None, None, None, None, None)
		self.expires = int(time.time()) + 3600

	def validate(self):
		if not self.user or not self.scheme or not self.auth or not self.expires:
			raise RuntimeError("Session [%s] corrupted" % self.session)
		if self.expires < time.time():
			raise RuntimeError("Session [%s] expired" % self.session)
	def sanitize(self):
		self.expires = int(time.time()) + 3600
	
	def cleanup(self):
		import os
		for f in self.files:
			try:
				os.unlink(f)
			except:
				pass
	def store(self):
		raise RuntimeError("Store method is not implemented")
